org.apache.ignite.internal.util.offheap

## Interface GridOffHeapEvictListener

    public interface GridOffHeapEvictListener

Callback for whenever entries get evicted from off-heap store.

### Method Summary

Methods
`void` `onEvict(int part, int hash, byte[] keyBytes, byte[] valBytes)` Eviction callback.

### Method Detail

#### onEvict

    void onEvict(int part,
               int hash,
               byte[] keyBytes,
               byte[] valBytes)

Eviction callback.

Parameters:
  `part` - Entry partition
  `hash` - Hash.
  `keyBytes` - Key bytes.
  `valBytes` - Value bytes.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.1.0-incubating
Release Date | : May 20 2015